brocade ml2 mechanism does not support VDX/NOS version greater than 4.1.0

Bug #1332719 reported by Shiv Haris on 2014-06-20
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
neutron
High
Shiv Haris
Declined for Juno by Chuck Short
Icehouse
Undecided
Unassigned

Bug Description

In order to support VDX/NOS version greater than 4.1.0, NETCONF template needs to be enhanced. However it is necessary to support all versions of NOS, hence a run time check of the NOS version should be made and the appropriate template should be used.

Shiv Haris (shh) on 2014-06-20
Changed in neutron:
assignee: nobody → Shiv Haris (shh)
status: New → Confirmed
milestone: none → juno-2
importance: Undecided → High
tags: added: brocade icehouse-backport-potential
Shiv Haris (shh) on 2014-06-20
description: updated

Fix proposed to branch: master
Review: https://review.openstack.org/101666

Changed in neutron:
status: Confirmed → In Progress

Reviewed: https://review.openstack.org/101666
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=f807023246501b77e792371d98b612b208f5e8e3
Submitter: Jenkins
Branch: master

commit f807023246501b77e792371d98b612b208f5e8e3
Author: Shiv Haris <email address hidden>
Date: Fri Jun 20 15:05:10 2014 -0700

    Added support for NOS version 4.1.0, 5.0.0 and greater

    NETCONF temaplates for NOS version greater than 4.1.0 are slightly
    different (argh). An init time check of the NOS version is done
    to enable selection of the correct NETCONF templates.

    Change-Id: I01e82ad402fbbb25d92a99a3325ca2608dd514cb
    Closes-bug: #1332719

Changed in neutron:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/108122
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=2ce59ec41ea48975c3fb69678f87d36532ba9e6f
Submitter: Jenkins
Branch: stable/icehouse

commit 2ce59ec41ea48975c3fb69678f87d36532ba9e6f
Author: Shiv Haris <email address hidden>
Date: Fri Jun 20 15:05:10 2014 -0700

    Added support for NOS version 4.1.0, 5.0.0 and greater

    NETCONF temaplates for NOS version greater than 4.1.0 are slightly
    different (argh). An init time check of the NOS version is done
    to enable selection of the correct NETCONF templates.

    Change-Id: I01e82ad402fbbb25d92a99a3325ca2608dd514cb
    Closes-bug: #1332719
    (cherry picked from commit f807023246501b77e792371d98b612b208f5e8e3)

tags: added: in-stable-icehouse
Changed in neutron:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2014-10-16
Changed in neutron:
milestone: juno-2 → 2014.2
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers